- Extending Qt Creator Manual
- BaseFileFilter
- Extending Qt Creator Manual 8.0.2

# BaseFileFilter Class

class Core::BaseFileFilter

The BaseFileFilter class is a base class for locator filter classes. More...

Header: | #include <coreplugin/locator/basefilefilter.h>
Inherits: | Core::ILocatorFilter

- List of all members, including inherited members

## Reimplemented Public Functions

virtual void | accept(const Core::LocatorFilterEntry &selection, QString *newText, int *selectionStart, int *selectionLength) const override
virtual QList<Core::LocatorFilterEntry> | matchesFor(QFutureInterface<Core::LocatorFilterEntry> &future, const QString &origEntry) override
virtual void | prepareSearch(const QString &entry) override

## Protected Functions

QSharedPointer<Core::BaseFileFilter::Iterator> | fileIterator()
void | setFileIterator(Core::BaseFileFilter::Iterator *iterator)

## Detailed Description

## Member Function Documentation

### `[override virtual]` void BaseFileFilter::accept(const Core::LocatorFilterEntry &selection, QString *newText, int *selectionStart, int *selectionLength) const

### `[protected]` QSharedPointer<Core::BaseFileFilter::Iterator> BaseFileFilter::fileIterator()

Returns the file iterator.

See also setFileIterator().

### `[override virtual]` QList<Core::LocatorFilterEntry> BaseFileFilter::matchesFor(QFutureInterface<Core::LocatorFilterEntry> &future, const QString &origEntry)

Reimplements: ILocatorFilter::matchesFor(QFutureInterface<Core::LocatorFilterEntry> &future, const QString &entry).

### `[override virtual]` void BaseFileFilter::prepareSearch(const QString &entry)

Reimplements: ILocatorFilter::prepareSearch(const QString &entry).

### `[protected]` void BaseFileFilter::setFileIterator(Core::BaseFileFilter::Iterator *iterator)

Takes ownership of the iterator. The previously set iterator might not be deleted until a currently running search is finished.

See also fileIterator().